Subject: Re: Tests tree not submitted?

From: Sam Ravnborg <[email-masked]>
Date: Mon, 19 May 2008 08:30:27 +0200

On Mon, May 19, 2008 at 03:37:04PM +1000, Stephen Rothwell wrote:
> Hi Andrew,
> 
> On Sun, 18 May 2008 22:00:03 -0700 Andrew Morton <[email-masked]> wrote:
> >
> > <brief panic>
> > 
> > I don't even know what the "tests" tree _is_.
> > 
> > Searching the past seven weeks lmkl archives for From:.*ananth.* turns
> > up zero hits.
> > 
> > So whatever this thing is, it's waaaaaaaaaaaaaaaaaaaaay too low-profile.
> > 
> > Did you even send Linus a pull request?  I have no record of one.
> > 
> > Secret tree :(
> 
> I don;t have the original pull request in my archive, but I do have an email from Sam Ravnborg dated Feb 19 saying (in part):
> 
> "Hi Anath.
> 
> Linus did not pull this in the -rc1 to -rc2 timeframe
> so please resubmit the patch serie one week into the
> next merge window (when most of the trees has hit linus' tree
> and Andrew has made his first merge).
> 
> IF you need an extra eye balling then you can submit
> a few weeks before the merge window opens.
> Thats typical after an -rc with only a few patches."
> 
> After which Ananth asked me to add it to linux-next and I did on Feb 24.
> 
> So, not a complete secret :-) and a pull request was sent on Feb 12
> (actually by Sam who put this stuff into a git tree for Ananth).  This
> tree (patch set) has not changed since Feb 24 and only has the one simple
> conflict I noted. 

Andrew mumbled about taking these patches via kbuild.it and in order to
avoid that I created a new test.git tree that I then have not given any care since.

Anath - I can update test.git if you send me a new patch-set but otherwise
I cannot do much work on it.
Too busy with other stuff.

	Sam